import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程目录结构
    addCoursemenu(data) {
        return request({
            url: '/course/menu',
            method: 'post',
            data
        })
    },
    //修改课程目录结构
    editCoursemenu(data) {
        return request({
            url: '/course/menu/edit',
            method: 'post',
            data
        })
    },
    //查询课程目录结构列表
    inquireCoursemenuListS(data) {
        return request({
            url: '/course/menu/list',
            method: 'get',
            params: data
        })
    },
    //获取课程目录结构详细信息
    obtainCoursemenuS(data) {
        return request({
            url: `/course/menu/` + data,
            method: 'get',
        })
    },
}